# Type alias ngeoProfileOptions

ngeoProfileOptions: {
light?: boolean;
lightXAxis?: boolean;
linesConfiguration: {
[x: string]: LineConfiguration;
};
poiLabelAngle?: number;
styleDefs?: string;
}

Options for the profile.

#### Type declaration

- ##### `Optional` light?: boolean

  Show a simplified profile when true.

- ##### `Optional` lightXAxis?: boolean

  Show a simplified x axis with only both end ticks.

- ##### linesConfiguration: {
  [x: string]: LineConfiguration;
  }

  Configuration object for the profile's

  - ##### [x: string]: LineConfiguration

- ##### `Optional` poiLabelAngle?: number

  Inline CSS style definition to inject in the SVG. lines. The key string of each object is used as class for its respective svg line.

- ##### `Optional` styleDefs?: string

  Inline CSS style definition to inject in the SVG.

- Defined in srcapi/store/config.ts:493

Generated using TypeDoc